<!DOCTYPE html>
<html lang="fr">
	<head>
		<meta charset="utf-8" />
		<title>Ajout d'un PJ</title>
		<link rel="stylesheet" href="within.css" />
	</head>
	
	<body>
		<header>Enregistrement d'un nouveau PJ</header>
		<?php $LarCha = 17; ?>
		
		<form action="ajout_pj.php" method="post">		
			<fieldset><legend>Caractéristiques du PJ</legend>
				<ul>
					<li>Nom du joueur 
						<input type="text" name="NomJoueur" 
							size="<?php echo $LarCha; ?>" /></li>
					<li>Nom du PJ 
						<input type="text" name="NomPJ" 
							size="<?php echo $LarCha; ?>" /></li>
					<li>Alpha<sup>*</sup>
						<select name="Alpha">
							<option value="0">Actif</option>
							<option value="1">Ailleurs</option>
							<option value="2">Extrême</option>
							<option value="3">Fort</option>
							<option value="4">Instinctif</option>
							<option value="5">Intelligent</option>
							<option value="6">Léger</option>
							<option value="7">Positif</option>
							<option value="8">Rigide</option>
							<option value="9">Sage</option>
							<option value="10">Tranché</option>
							<option value="11">Volontaire</option>
						</select>
					</li>
					<li>Omega<sup>*</sup>
						<select name="Omega">
							<option value="0">Chasseur</option>
							<option value="1">Clepsydre sanglante</option>
							<option value="2">Clown</option>
							<option value="3">Couronne d'épines</option>
							<option value="4">Enfant inversé</option>
							<option value="5">Gardien</option>
							<option value="6">Goule</option>
							<option value="7">Masque</option>
							<option value="8">Monstre</option>
							<option value="9">Pandémique</option>
							<option value="10">Pentacle</option>
							<option value="11">Vierge noire</option>
						</select>
					</li>
					<li>Refuge
						<input type="text" name="Refuge" 
							size="<?php echo 2 * $LarCha; ?>" /></li>
					<li>Notes diverses
						<input type="text" name="Notes" 
							size="<?php echo 2 * $LarCha; ?>" /></li>
				</ul>
				
				<table class="ChampPJ">
					<tr><th>Occupations & Spécialités</th>
						<th>Niveaux</th>
					</tr>
					<?php					
					for ($o = 1; $o <= 3; $o++)
					{	?>
						<tr><td>O<?php echo $o; ?>
								<input type="text" 
									name="Occupation<?php echo $o; ?>" 
								size="<?php echo 2 * $LarCha; ?>" /></td>
							<td><input type="range"	
									name="Occupation<?php echo $o; ?>Niveau" 
									min="-2" max="3" value="-2" 
								/></td></tr>
						<tr><td>_ S1 
							<input type="text" 
								name="Specialite<?php echo 3*$o-2; ?>" 
								size="<?php echo $LarCha; ?>" /></td>
							<td><input type="range"	
									name="Specialite<?php echo 3*$o-2; ?>Niveau" 
									min="-2" max="3" value="-2"
								/></td></tr>
						<tr><td>_ S2 
							<input type="text" 
								name="Specialite<?php echo 3*$o-1; ?>" 
								size="<?php echo $LarCha; ?>" /></td>
							<td><input type="range"	
									name="Specialite<?php echo 3*$o-1; ?>Niveau" 
									min="-2" max="3" value="-2"									 
								/></td></tr>
						<tr><td>_ S3 
							<input type="text" 
								name="Specialite<?php echo 3*$o; ?>" 
								size="<?php echo $LarCha; ?>" /></td>
							<td><input type="range"	
									name="Specialite<?php echo 3*$o; ?>Niveau" 
									min="-2" max="3" value="-2" 
								/></td></tr>
						<tr><td colspan="2"></td></tr>
					
			<?php	}	?>
				</table>
				
				<!-- APTITUDES -->
				<table class="ChampPJ">
					<tr><th>Aptitudes</th>
						<th>Niveaux</th>
					</tr>	<?php
					
					for ($a = 1; $a <= 5; $a++)
					{	?>
						<tr><td><?php echo $a; ?> 
							<input type="text" 
								name="Aptitude<?php echo $a; ?>" 
								size="<?php echo $LarCha *2; ?>" /></td>
							<td><input type="range"	
									name="Aptitude<?php echo $a; ?>Niveau" 
									min="-2" max="3" value="-2" 
								/></td></tr>
			<?php	}	?>
				</table>
				
				<!-- MILIEUX -->
				<table class="ChampPJ">
					<tr><th>Milieux</th>
						<th>Niveaux</th>
					</tr>	<?php
			
					for ($m = 1; $m <= 3; $m++)
					{	?>
						<tr><td><?php echo $m; ?> 
							<input type="text" 
								name="Milieu<?php echo $m; ?>" 
								size="<?php echo $LarCha *2; ?>" /></td>
							<td><input type="range"	
									name="Milieu<?php echo $m; ?>Niveau" 
									min="-2" max="3" value="-2" 
								/></td></tr>
			<?php	}	?>
				</table>
							
			</fieldset>
			<input type="submit" value="Enregistrer" />
			<fieldset><legend>*</legend>
				Les valeurs de l'Alpha et de l'Omega sont de -2 
				par défaut.
				Elles pourront être modifiée après la création du PJ.
			</fieldset>
			
		</form>
		
		
		<?php include('navigation.php'); ?>
	</body>
</html>
